package com.ruoyi.system.mq;

import org.slf4j.LoggerFactory;
import org.springframework.amqp.rabbit.annotation.RabbitHandler;
import java.io.IOException;
import com.rabbitmq.client.Channel;
import org.springframework.amqp.core.Message;
import org.springframework.beans.factory.annotation.Autowired;
import com.ruoyi.system.service.ISnServerTaskService;
import org.slf4j.Logger;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Component;

@Component
@RabbitListener(queues = { "server.task.queue" })
public class ServerTaskReceiver
{
    private static final Logger log;
    @Autowired
    private ISnServerTaskService snServerTaskService;
    
    @RabbitHandler
    public void receiveMessage(final Long taskId, final Message message, final Channel channel) throws IOException {
        try {
            ServerTaskReceiver.log.info("=======接收========服务器任务异步执行====================" + taskId);
            this.snServerTaskService.handleDoTask(taskId);
            channel.basicAck(message.getMessageProperties().getDeliveryTag(), true);
        }
        catch (final Exception e) {
            ServerTaskReceiver.log.error("服务器任务异步执行 异常{},{}", this.getClass(), e);
        }
    }
    
    static {
        log = LoggerFactory.getLogger(ServerTaskReceiver.class);
    }
}
